Bug 633136 - Update fails with errors
Summary: Update fails with errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mash
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-13 03:23 UTC by Will Kemp
Modified: 2014-03-17 03:24 UTC (History)
4 users (show)

Fixed In Version: mash-0.5.20-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-13 05:57:50 UTC


Attachments (Terms of Use)

Description Will Kemp 2010-09-13 03:23:05 UTC
Description of problem:
Using yumex to update the system, it fails with the following message:

ERROR: Error in yum Transaction : [u'ERROR with rpm_check_debug vs depsolve:', 'libgfortran = 4.4.4-2.fc13 is needed by (installed) gcc-gfortran-4.4.4-2.fc13.i686', 'libgfortran = 4.4.4-2.fc13 is needed by (installed) gcc-gfortran-4.4.4-2.fc13.i686', 'gcc = 4.4.4-2.fc13 is needed by (installed) gcc-gfortran-4.4.4-2.fc13.i686', u'Please report this error at http://yum.baseurl.org/report']

Version-Release number of selected component (if applicable):


How reproducible:
Every time, for the given installed package set. It first happened two or three weeks ago and i left it to see if it went away (as these things sometimes do), but it's still happening. I've tried unselecting packages for update to get rid of the error and update the rest of the system, but after a number of attempts at trying to work out dependencies i gave up.

Steps to Reproduce:
1. Run yumex
2. select all packages for update
3. apply
  
Actual results:
update fails with error

Expected results:
Update succeeds

Additional info:

Comment 1 Jakub Jelinek 2010-09-13 18:47:44 UTC
Well, as long as gcc-gfortran.i686 is getting pushed into stable repos and not into testing repos, I'm afraid no Obsoletes saves us from this issue.

Comment 2 Bill Nottingham 2010-09-28 16:11:00 UTC
Should be fixed in mash-0.5.20-1, will take a while for this to get into the repo generation process.

Comment 3 Fedora Update System 2010-09-28 16:17:30 UTC
mash-0.5.20-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.el5

Comment 4 Fedora Update System 2010-09-28 16:21:35 UTC
mash-0.5.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc14

Comment 5 Fedora Update System 2010-09-28 16:33:54 UTC
mash-0.5.20-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc13

Comment 6 Fedora Update System 2010-09-28 17:31:28 UTC
mash-0.5.20-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mash'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc14

Comment 7 Fedora Update System 2010-10-13 05:55:51 UTC
mash-0.5.20-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-10-13 12:48:44 UTC
mash-0.5.20-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-14 20:58:30 UTC
mash-0.5.20-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.